Commit b6446275 authored by echel0n's avatar echel0n

Merge branch 'release/9.4.56'

parents 831f077c b2b9f0d3
......@@ -22,5 +22,6 @@ build:
- docker push $CONTAINER_IMAGE:latest
only:
- master
- develop
except:
- tags
\ No newline at end of file
This diff is collapsed.
......@@ -41,7 +41,7 @@ chardet == 3.0.4
pytz == 2018.7
tzlocal == 2.0.0b1
raven == 6.9.0
python-keycloak-client == 0.2.0
python-keycloak-client == 0.2.1
simplejson == 3.16.0
service_identity == 17.0.0
certifi
......
......@@ -200,13 +200,13 @@ class GenericClient(object):
try:
self.response = self.session.request(method.upper(),
self.url,
params=params,
data=data,
auth=(self.username, self.password),
timeout=120,
verify=False,
*args, **kwargs)
self.url,
params=params,
data=data,
auth=(self.username, self.password),
timeout=120,
verify=False,
*args, **kwargs)
except Exception:
return False
......
......@@ -1138,7 +1138,6 @@ class PostProcessor(object):
raise EpisodePostProcessingFailedException("File is locked for reading")
self._copy(self.file_path, dest_path, new_base_name, sickrage.app.config.move_associated_files,
sickrage.app.config.use_subtitles and ep_obj.show.subtitles)
self._add_processed_marker_file(self.file_path)
elif self.process_method == self.PROCESS_METHOD_MOVE:
if isFileLocked(self.file_path, True):
raise EpisodePostProcessingFailedException("File is locked for reading/writing")
......@@ -1147,24 +1146,24 @@ class PostProcessor(object):
elif self.process_method == self.PROCESS_METHOD_HARDLINK:
self._hardlink(self.file_path, dest_path, new_base_name, sickrage.app.config.move_associated_files,
sickrage.app.config.use_subtitles and ep_obj.show.subtitles)
self._add_processed_marker_file(self.file_path)
elif self.process_method == self.PROCESS_METHOD_SYMLINK:
if isFileLocked(self.file_path, True):
raise EpisodePostProcessingFailedException("File is locked for reading/writing")
self._moveAndSymlink(self.file_path, dest_path, new_base_name,
sickrage.app.config.move_associated_files,
sickrage.app.config.use_subtitles and ep_obj.show.subtitles)
self._add_processed_marker_file(self.file_path)
elif self.process_method == self.PROCESS_METHOD_SYMLINK_REVERSED:
self._symlink(self.file_path, dest_path, new_base_name, sickrage.app.config.move_associated_files,
sickrage.app.config.use_subtitles and ep_obj.show.subtitles)
self._add_processed_marker_file(self.file_path)
else:
sickrage.app.log.error("Unknown process method: " + str(self.process_method))
raise EpisodePostProcessingFailedException("Unable to move the files to their new home")
except (OSError, IOError):
raise EpisodePostProcessingFailedException("Unable to move the files to their new home")
# add processed marker file
self._add_processed_marker_file(self.file_path)
# download subtitles
if sickrage.app.config.use_subtitles and ep_obj.show.subtitles:
for cur_ep in [ep_obj] + ep_obj.relatedEps:
......
......@@ -377,8 +377,8 @@ class UpdateManager(object):
def install_requirements(self):
for req_file in ['requirements.txt', sickrage.REQS_FILE]:
__, __, exit_status = self._pip_cmd(self._pip_path,
'install --no-cache-dir -r {}'.format(req_file))
output, __, exit_status = self._pip_cmd(self._pip_path,
'install --no-cache-dir -r {}'.format(req_file))
if exit_status != 0:
__, __, exit_status = self._pip_cmd(self._pip_path,
......@@ -387,10 +387,15 @@ class UpdateManager(object):
if exit_status == 0:
return True
sickrage.app.alerts.error(_('Updater'),
_('Failed to update requirements'))
sickrage.app.log.warning('Unable to update requirements using {req_file}'.format(**{
'req_file': sickrage.REQS_FILE
}))
sickrage.app.log.debug("PIP CMD OUTPUT: {}".format(output.strip()))
return False
......@@ -447,6 +452,7 @@ class GitUpdateManager(UpdateManager):
output, __, exit_status = self._git_cmd(self._git_path, 'remote update')
if not exit_status == 0:
sickrage.app.log.warning("Unable to contact server, can't check for update")
sickrage.app.log.debug("GIT CMD OUTPUT: {}".format(output.strip()))
return
# get latest commit_hash from remote
......@@ -574,10 +580,10 @@ class SourceUpdateManager(UpdateManager):
return False
def _check_for_new_version(self):
git_version_url = "https://git.sickrage.ca/SiCKRAGE/sickrage/raw/master/sickrage/version.txt"
git_version_url = "https://git.sickrage.ca/SiCKRAGE/sickrage/raw/{}/sickrage/version.txt"
try:
return WebSession().get(git_version_url).text
return WebSession().get(git_version_url.format(('master', 'develop')['dev' in self.version])).text
except Exception:
return self._find_installed_version()
......
......@@ -1333,7 +1333,7 @@
% for git_branch in git_branches:
<%
if not sickrage.app.developer and git_branch not in ['master', 'develop']:
next
continue
%>
<option value="${git_branch}" ${('', 'selected')[git_current_branch == git_branch]}>${git_branch}</option>
% endfor
......
......@@ -479,10 +479,10 @@
<%
epStr = str(epResult["season"]) + "x" + str(epResult["episode"])
if not epStr in epCats:
next
continue
if not sickrage.app.config.display_show_specials and int(epResult["season"]) == 0:
next
continue
scene = False
scene_anime = False
......
......@@ -320,7 +320,7 @@
<div class="col-auto justify-content-center align-self-center">
<a href="${srWebRoot}/home/displayShow?show=${cur_result['showid']}">
<img class="rounded shadow"
src="${srWebRoot}${srWebRoot}${showImage(cur_result['showid'], (layout, 'poster_thumb')[layout == 'poster']).url}"/>
src="${srWebRoot}${showImage(cur_result['showid'], (layout, 'poster_thumb')[layout == 'poster']).url}"/>
</a>
</div>
<div class="col text-dark font-weight-bold">
......@@ -440,7 +440,7 @@
<a title="${cur_result['show_name']}"
href="${srWebRoot}/home/displayShow?show=${cur_result['showid']}">
<img class="rounded shadow"
src="${srWebRoot}${srWebRoot}${showImage(cur_result['showid'], 'poster_thumb').url}"/>
src="${srWebRoot}${showImage(cur_result['showid'], 'poster_thumb').url}"/>
</a>
<div class="small">
<span class="airtime">
......
import json
from tornado.websocket import WebSocketHandler
from tornado.websocket import WebSocketHandler, WebSocketClosedError
import sickrage
......@@ -18,11 +18,11 @@ class WebSocketUIHandler(WebSocketHandler):
"""Client connected to the WebSocket."""
clients.add(self)
# for n in sickrage.app.alerts.get_notifications(self.request.remote_ip):
# try:
# self.write_message(WebSocketMessage('notification', n.data).json())
# except WebSocketClosedError:
# pass
for n in sickrage.app.alerts.get_notifications(self.request.remote_ip):
try:
self.write_message(WebSocketMessage('notification', n.data).json())
except WebSocketClosedError:
pass
def on_message(self, message):
"""Received a message from the client."""
......
......@@ -2,8 +2,8 @@ msgid ""
msgstr ""
"Project-Id-Version: sickragetv\n"
"Report-Msgid-Bugs-To: [email protected]\n"
"POT-Creation-Date: 2018-12-16 12:42-0800\n"
"PO-Revision-Date: 2018-12-16 20:44\n"
"POT-Creation-Date: 2019-01-20 14:36-0800\n"
"PO-Revision-Date: 2019-01-20 22:37\n"
"Last-Translator: echel0n <[email protected]>\n"
"Language-Team: Arabic\n"
"MIME-Version: 1.0\n"
......@@ -6138,9 +6138,9 @@ msgstr "الحلقة انتزع"
#: sickrage/core/version_updater.py:100 sickrage/core/version_updater.py:108
#: sickrage/core/version_updater.py:114 sickrage/core/version_updater.py:192
#: sickrage/core/version_updater.py:248 sickrage/core/version_updater.py:286
#: sickrage/core/version_updater.py:487 sickrage/core/version_updater.py:736
#: sickrage/core/webserver/views.py:1084 sickrage/core/webserver/views.py:1088
#: sickrage/core/webserver/views.py:1096
#: sickrage/core/version_updater.py:390 sickrage/core/version_updater.py:493
#: sickrage/core/version_updater.py:742 sickrage/core/webserver/views.py:1084
#: sickrage/core/webserver/views.py:1088 sickrage/core/webserver/views.py:1096
msgid "Updater"
msgstr ""
......@@ -6188,19 +6188,23 @@ msgstr ""
msgid "Unable to find your pip executable - Set your pip path from Settings->General->Advanced"
msgstr "غير قادر على العثور على النقطة الخاصة بك القابل للتنفيذ--تعيين مسار النقطة الخاصة بك من إعدادات-> العامة-> خيارات متقدمة"
#: sickrage/core/version_updater.py:460 sickrage/core/version_updater.py:589
#: sickrage/core/version_updater.py:391
msgid "Failed to update requirements"
msgstr ""
#: sickrage/core/version_updater.py:466 sickrage/core/version_updater.py:595
msgid "There is a newer version available, version {} &mdash; <a href=\"{}\">Update Now</a>"
msgstr "هناك إصدار أحدث المتاحة، الإصدار {} &mdash; <a href=\"{}\">Update Now</a>"
#: sickrage/core/version_updater.py:488
#: sickrage/core/version_updater.py:494
msgid "Updating SiCKRAGE from GIT servers"
msgstr ""
#: sickrage/core/version_updater.py:725
#: sickrage/core/version_updater.py:731
msgid "New SiCKRAGE update found on PyPi servers, version {} &mdash; <a href=\"{}\">Update Now</a>"
msgstr ""
#: sickrage/core/version_updater.py:736
#: sickrage/core/version_updater.py:742
msgid "Updating SiCKRAGE from PyPi servers"
msgstr ""
......
......@@ -2,8 +2,8 @@ msgid ""
msgstr ""
"Project-Id-Version: sickragetv\n"
"Report-Msgid-Bugs-To: [email protected]\n"
"POT-Creation-Date: 2018-12-16 12:42-0800\n"
"PO-Revision-Date: 2018-12-16 20:44\n"
"POT-Creation-Date: 2019-01-20 14:36-0800\n"
"PO-Revision-Date: 2019-01-20 22:37\n"
"Last-Translator: echel0n <[email protected]>\n"
"Language-Team: Catalan\n"
"MIME-Version: 1.0\n"
......@@ -6138,9 +6138,9 @@ msgstr "Episodi va arrabassar"
#: sickrage/core/version_updater.py:100 sickrage/core/version_updater.py:108
#: sickrage/core/version_updater.py:114 sickrage/core/version_updater.py:192
#: sickrage/core/version_updater.py:248 sickrage/core/version_updater.py:286
#: sickrage/core/version_updater.py:487 sickrage/core/version_updater.py:736
#: sickrage/core/webserver/views.py:1084 sickrage/core/webserver/views.py:1088
#: sickrage/core/webserver/views.py:1096
#: sickrage/core/version_updater.py:390 sickrage/core/version_updater.py:493
#: sickrage/core/version_updater.py:742 sickrage/core/webserver/views.py:1084
#: sickrage/core/webserver/views.py:1088 sickrage/core/webserver/views.py:1096
msgid "Updater"
msgstr ""
......@@ -6188,19 +6188,23 @@ msgstr ""
msgid "Unable to find your pip executable - Set your pip path from Settings->General->Advanced"
msgstr "Incapaç de trobar el seu pip executable - troba el seu camí pip de configuració-> General-> avançat"
#: sickrage/core/version_updater.py:460 sickrage/core/version_updater.py:589
#: sickrage/core/version_updater.py:391
msgid "Failed to update requirements"
msgstr ""
#: sickrage/core/version_updater.py:466 sickrage/core/version_updater.py:595
msgid "There is a newer version available, version {} &mdash; <a href=\"{}\">Update Now</a>"
msgstr "Hi ha una versió més recent disponible, versió {} &mdash; <a href=\"{}\">Update Now</a>"
#: sickrage/core/version_updater.py:488
#: sickrage/core/version_updater.py:494
msgid "Updating SiCKRAGE from GIT servers"
msgstr ""
#: sickrage/core/version_updater.py:725
#: sickrage/core/version_updater.py:731
msgid "New SiCKRAGE update found on PyPi servers, version {} &mdash; <a href=\"{}\">Update Now</a>"
msgstr ""
#: sickrage/core/version_updater.py:736
#: sickrage/core/version_updater.py:742
msgid "Updating SiCKRAGE from PyPi servers"
msgstr ""
......
......@@ -2,8 +2,8 @@ msgid ""
msgstr ""
"Project-Id-Version: sickragetv\n"
"Report-Msgid-Bugs-To: [email protected]\n"
"POT-Creation-Date: 2018-12-16 12:42-0800\n"
"PO-Revision-Date: 2018-12-16 20:44\n"
"POT-Creation-Date: 2019-01-20 14:36-0800\n"
"PO-Revision-Date: 2019-01-20 22:37\n"
"Last-Translator: echel0n <[email protected]>\n"
"Language-Team: Czech\n"
"MIME-Version: 1.0\n"
......@@ -6138,9 +6138,9 @@ msgstr "Epizoda vytrhl"
#: sickrage/core/version_updater.py:100 sickrage/core/version_updater.py:108
#: sickrage/core/version_updater.py:114 sickrage/core/version_updater.py:192
#: sickrage/core/version_updater.py:248 sickrage/core/version_updater.py:286
#: sickrage/core/version_updater.py:487 sickrage/core/version_updater.py:736
#: sickrage/core/webserver/views.py:1084 sickrage/core/webserver/views.py:1088
#: sickrage/core/webserver/views.py:1096
#: sickrage/core/version_updater.py:390 sickrage/core/version_updater.py:493
#: sickrage/core/version_updater.py:742 sickrage/core/webserver/views.py:1084
#: sickrage/core/webserver/views.py:1088 sickrage/core/webserver/views.py:1096
msgid "Updater"
msgstr ""
......@@ -6188,19 +6188,23 @@ msgstr ""
msgid "Unable to find your pip executable - Set your pip path from Settings->General->Advanced"
msgstr "Nepodařilo se nalézt váš pip program - nastavení pip cestu od-> generála-> Upřesnit nastavení"
#: sickrage/core/version_updater.py:460 sickrage/core/version_updater.py:589
#: sickrage/core/version_updater.py:391
msgid "Failed to update requirements"
msgstr ""
#: sickrage/core/version_updater.py:466 sickrage/core/version_updater.py:595
msgid "There is a newer version available, version {} &mdash; <a href=\"{}\">Update Now</a>"
msgstr "Je k dispozici novější verze, verze {} &mdash; <a href=\"{}\">Update Now</a>"
#: sickrage/core/version_updater.py:488
#: sickrage/core/version_updater.py:494
msgid "Updating SiCKRAGE from GIT servers"
msgstr ""
#: sickrage/core/version_updater.py:725
#: sickrage/core/version_updater.py:731
msgid "New SiCKRAGE update found on PyPi servers, version {} &mdash; <a href=\"{}\">Update Now</a>"
msgstr ""
#: sickrage/core/version_updater.py:736
#: sickrage/core/version_updater.py:742
msgid "Updating SiCKRAGE from PyPi servers"
msgstr ""
......
......@@ -2,8 +2,8 @@ msgid ""
msgstr ""
"Project-Id-Version: sickragetv\n"
"Report-Msgid-Bugs-To: [email protected]\n"
"POT-Creation-Date: 2018-12-16 12:42-0800\n"
"PO-Revision-Date: 2018-12-16 20:44\n"
"POT-Creation-Date: 2019-01-20 14:36-0800\n"
"PO-Revision-Date: 2019-01-20 22:37\n"
"Last-Translator: echel0n <[email protected]>\n"
"Language-Team: Danish\n"
"MIME-Version: 1.0\n"
......@@ -6138,9 +6138,9 @@ msgstr "Episode snappede"
#: sickrage/core/version_updater.py:100 sickrage/core/version_updater.py:108
#: sickrage/core/version_updater.py:114 sickrage/core/version_updater.py:192
#: sickrage/core/version_updater.py:248 sickrage/core/version_updater.py:286
#: sickrage/core/version_updater.py:487 sickrage/core/version_updater.py:736
#: sickrage/core/webserver/views.py:1084 sickrage/core/webserver/views.py:1088
#: sickrage/core/webserver/views.py:1096
#: sickrage/core/version_updater.py:390 sickrage/core/version_updater.py:493
#: sickrage/core/version_updater.py:742 sickrage/core/webserver/views.py:1084
#: sickrage/core/webserver/views.py:1088 sickrage/core/webserver/views.py:1096
msgid "Updater"
msgstr ""
......@@ -6188,19 +6188,23 @@ msgstr ""
msgid "Unable to find your pip executable - Set your pip path from Settings->General->Advanced"
msgstr "Stand til at finde din pip eksekverbare - sæt din pip sti fra indstillinger-> General-> avanceret"
#: sickrage/core/version_updater.py:460 sickrage/core/version_updater.py:589
#: sickrage/core/version_updater.py:391
msgid "Failed to update requirements"
msgstr ""
#: sickrage/core/version_updater.py:466 sickrage/core/version_updater.py:595
msgid "There is a newer version available, version {} &mdash; <a href=\"{}\">Update Now</a>"
msgstr "Der er en nyere version til rådighed, version {} &mdash; <a href=\"{}\">Update Now</a>"
#: sickrage/core/version_updater.py:488
#: sickrage/core/version_updater.py:494
msgid "Updating SiCKRAGE from GIT servers"
msgstr ""
#: sickrage/core/version_updater.py:725
#: sickrage/core/version_updater.py:731
msgid "New SiCKRAGE update found on PyPi servers, version {} &mdash; <a href=\"{}\">Update Now</a>"
msgstr ""
#: sickrage/core/version_updater.py:736
#: sickrage/core/version_updater.py:742
msgid "Updating SiCKRAGE from PyPi servers"
msgstr ""
......
......@@ -2,8 +2,8 @@ msgid ""
msgstr ""
"Project-Id-Version: sickragetv\n"
"Report-Msgid-Bugs-To: [email protected]\n"
"POT-Creation-Date: 2018-12-16 12:42-0800\n"
"PO-Revision-Date: 2018-12-16 20:44\n"
"POT-Creation-Date: 2019-01-20 14:36-0800\n"
"PO-Revision-Date: 2019-01-20 22:37\n"
"Last-Translator: echel0n <[email protected]>\n"
"Language-Team: German\n"
"MIME-Version: 1.0\n"
......@@ -6138,9 +6138,9 @@ msgstr "Folge entrissen"
#: sickrage/core/version_updater.py:100 sickrage/core/version_updater.py:108
#: sickrage/core/version_updater.py:114 sickrage/core/version_updater.py:192
#: sickrage/core/version_updater.py:248 sickrage/core/version_updater.py:286
#: sickrage/core/version_updater.py:487 sickrage/core/version_updater.py:736
#: sickrage/core/webserver/views.py:1084 sickrage/core/webserver/views.py:1088
#: sickrage/core/webserver/views.py:1096
#: sickrage/core/version_updater.py:390 sickrage/core/version_updater.py:493
#: sickrage/core/version_updater.py:742 sickrage/core/webserver/views.py:1084
#: sickrage/core/webserver/views.py:1088 sickrage/core/webserver/views.py:1096
msgid "Updater"
msgstr ""
......@@ -6188,19 +6188,23 @@ msgstr ""
msgid "Unable to find your pip executable - Set your pip path from Settings->General->Advanced"
msgstr "Nicht in der Lage, Ihre Pip ausführbare - Satz zu finden Ihr Pip-Pfad-Einstellungen-> General-> Advanced"
#: sickrage/core/version_updater.py:460 sickrage/core/version_updater.py:589
#: sickrage/core/version_updater.py:391
msgid "Failed to update requirements"
msgstr ""
#: sickrage/core/version_updater.py:466 sickrage/core/version_updater.py:595
msgid "There is a newer version available, version {} &mdash; <a href=\"{}\">Update Now</a>"
msgstr "Es gibt eine neuere Version verfügbar, Version {} &mdash; <a href=\"{}\">Update Now</a>"
#: sickrage/core/version_updater.py:488
#: sickrage/core/version_updater.py:494
msgid "Updating SiCKRAGE from GIT servers"
msgstr ""
#: sickrage/core/version_updater.py:725
#: sickrage/core/version_updater.py:731
msgid "New SiCKRAGE update found on PyPi servers, version {} &mdash; <a href=\"{}\">Update Now</a>"
msgstr ""
#: sickrage/core/version_updater.py:736
#: sickrage/core/version_updater.py:742
msgid "Updating SiCKRAGE from PyPi servers"
msgstr ""
......
......@@ -2,8 +2,8 @@ msgid ""
msgstr ""
"Project-Id-Version: sickragetv\n"
"Report-Msgid-Bugs-To: [email protected]\n"
"POT-Creation-Date: 2018-12-16 12:42-0800\n"
"PO-Revision-Date: 2018-12-16 20:44\n"
"POT-Creation-Date: 2019-01-20 14:36-0800\n"
"PO-Revision-Date: 2019-01-20 22:38\n"
"Last-Translator: echel0n <[email protected]>\n"
"Language-Team: Greek\n"
"MIME-Version: 1.0\n"
......@@ -6138,9 +6138,9 @@ msgstr "Άρπαξε το επεισόδιο"
#: sickrage/core/version_updater.py:100 sickrage/core/version_updater.py:108
#: sickrage/core/version_updater.py:114 sickrage/core/version_updater.py:192
#: sickrage/core/version_updater.py:248 sickrage/core/version_updater.py:286
#: sickrage/core/version_updater.py:487 sickrage/core/version_updater.py:736
#: sickrage/core/webserver/views.py:1084 sickrage/core/webserver/views.py:1088
#: sickrage/core/webserver/views.py:1096
#: sickrage/core/version_updater.py:390 sickrage/core/version_updater.py:493
#: sickrage/core/version_updater.py:742 sickrage/core/webserver/views.py:1084
#: sickrage/core/webserver/views.py:1088 sickrage/core/webserver/views.py:1096
msgid "Updater"
msgstr ""
......@@ -6188,19 +6188,23 @@ msgstr ""
msgid "Unable to find your pip executable - Set your pip path from Settings->General->Advanced"
msgstr "Δεν μπορείτε να βρείτε σας pip εκτελέσιμο - σετ σας pip διαδρομή από τις ρυθμίσεις-> γενικής-> για προχωρημένους"
#: sickrage/core/version_updater.py:460 sickrage/core/version_updater.py:589
#: sickrage/core/version_updater.py:391
msgid "Failed to update requirements"
msgstr ""
#: sickrage/core/version_updater.py:466 sickrage/core/version_updater.py:595
msgid "There is a newer version available, version {} &mdash; <a href=\"{}\">Update Now</a>"
msgstr "Υπάρχει νεότερη έκδοση διαθέσιμη, έκδοση {} &mdash; <a href=\"{}\">Update Now</a>"
#: sickrage/core/version_updater.py:488
#: sickrage/core/version_updater.py:494
msgid "Updating SiCKRAGE from GIT servers"
msgstr ""
#: sickrage/core/version_updater.py:725
#: sickrage/core/version_updater.py:731
msgid "New SiCKRAGE update found on PyPi servers, version {} &mdash; <a href=\"{}\">Update Now</a>"
msgstr ""
#: sickrage/core/version_updater.py:736
#: sickrage/core/version_updater.py:742
msgid "Updating SiCKRAGE from PyPi servers"
msgstr ""
......
......@@ -2,8 +2,8 @@ msgid ""
msgstr ""
"Project-Id-Version: sickragetv\n"
"Report-Msgid-Bugs-To: [email protected]\n"
"POT-Creation-Date: 2018-12-16 12:42-0800\n"
"PO-Revision-Date: 2018-12-16 20:45\n"
"POT-Creation-Date: 2019-01-20 14:36-0800\n"
"PO-Revision-Date: 2019-01-20 22:39\n"
"Last-Translator: echel0n <[email protected]>\n"
"Language-Team: English\n"
"MIME-Version: 1.0\n"
......@@ -6142,9 +6142,9 @@ msgstr "Episode snatched"
#: sickrage/core/version_updater.py:100 sickrage/core/version_updater.py:108
#: sickrage/core/version_updater.py:114 sickrage/core/version_updater.py:192
#: sickrage/core/version_updater.py:248 sickrage/core/version_updater.py:286
#: sickrage/core/version_updater.py:487 sickrage/core/version_updater.py:736
#: sickrage/core/webserver/views.py:1084 sickrage/core/webserver/views.py:1088
#: sickrage/core/webserver/views.py:1096
#: sickrage/core/version_updater.py:390 sickrage/core/version_updater.py:493
#: sickrage/core/version_updater.py:742 sickrage/core/webserver/views.py:1084
#: sickrage/core/webserver/views.py:1088 sickrage/core/webserver/views.py:1096
msgid "Updater"
msgstr ""
......@@ -6192,19 +6192,23 @@ msgstr ""
msgid "Unable to find your pip executable - Set your pip path from Settings->General->Advanced"
msgstr "Unable to find your pip executable - Set your pip path from Settings->General->Advanced"
#: sickrage/core/version_updater.py:460 sickrage/core/version_updater.py:589
#: sickrage/core/version_updater.py:391
msgid "Failed to update requirements"
msgstr ""
#: sickrage/core/version_updater.py:466 sickrage/core/version_updater.py:595
msgid "There is a newer version available, version {} &mdash; <a href=\"{}\">Update Now</a>"
msgstr "There is a newer version available, version {} &mdash; <a href=\"{}\">Update Now</a>"
#: sickrage/core/version_updater.py:488
#: sickrage/core/version_updater.py:494
msgid "Updating SiCKRAGE from GIT servers"
msgstr ""
#: sickrage/core/version_updater.py:725
#: sickrage/core/version_updater.py:731
msgid "New SiCKRAGE update found on PyPi servers, version {} &mdash; <a href=\"{}\">Update Now</a>"
msgstr "New SiCKRAGE update found on PyPi servers, version {} &mdash; <a href=\"{}\">Update Now</a>"
#: sickrage/core/version_updater.py:736
#: sickrage/core/version_updater.py:742
msgid "Updating SiCKRAGE from PyPi servers"
msgstr ""
......
......@@ -2,8 +2,8 @@ msgid ""
msgstr ""
"Project-Id-Version: sickragetv\n"
"Report-Msgid-Bugs-To: [email protected]\n"
"POT-Creation-Date: 2018-12-16 12:42-0800\n"
"PO-Revision-Date: 2018-12-16 20:43\n"
"POT-Creation-Date: 2019-01-20 14:36-0800\n"
"PO-Revision-Date: 2019-01-20 22:37\n"
"Last-Translator: echel0n <[email protected]>\n"
"Language-Team: Spanish\n"
"MIME-Version: 1.0\n"
......@@ -6138,9 +6138,9 @@ msgstr "Episodio le arrebatada"
#: sickrage/core/version_updater.py:100 sickrage/core/version_updater.py:108
#: sickrage/core/version_updater.py:114 sickrage/core/version_updater.py:192
#: sickrage/core/version_updater.py:248 sickrage/core/version_updater.py:286
#: sickrage/core/version_updater.py:487 sickrage/core/version_updater.py:736
#: sickrage/core/webserver/views.py:1084 sickrage/core/webserver/views.py:1088
#: sickrage/core/webserver/views.py:1096
#: sickrage/core/version_updater.py:390 sickrage/core/version_updater.py:493
#: sickrage/core/version_updater.py:742 sickrage/core/webserver/views.py:1084
#: sickrage/core/webserver/views.py:1088 sickrage/core/webserver/views.py:1096
msgid "Updater"
msgstr ""
......@@ -6188,19 +6188,23 @@ msgstr ""
msgid "Unable to find your pip executable - Set your pip path from Settings->General->Advanced"
msgstr "Incapaz de encontrar su pip ejecutable - conjunto tu camino pip de configuración-> General-> avanzado"
#: sickrage/core/version_updater.py:460 sickrage/core/version_updater.py:589
#: sickrage/core/version_updater.py:391
msgid "Failed to update requirements"
msgstr ""
#: sickrage/core/version_updater.py:466 sickrage/core/version_updater.py:595
msgid "There is a newer version available, version {} &mdash; <a href=\"{}\">Update Now</a>"
msgstr "Hay una versión más reciente disponible, la versión {} &mdash; <a href=\"{}\">Update Now</a>"
#: sickrage/core/version_updater.py:488
#: sickrage/core/version_updater.py:494
msgid "Updating SiCKRAGE from GIT servers"
msgstr ""
#: sickrage/core/version_updater.py:725
#: sickrage/core/version_updater.py:731
msgid "New SiCKRAGE update found on PyPi servers, version {} &mdash; <a href=\"{}\">Update Now</a>"
msgstr ""
#: sickrage/core/version_updater.py:736
#: sickrage/core/version_updater.py:742
msgid "Updating SiCKRAGE from PyPi servers"
msgstr ""
......
......@@ -2,8 +2,8 @@ msgid ""
msgstr ""
"Project-Id-Version: sickragetv\n"
"Report-Msgid-Bugs-To: [email protected]\n"
"POT-Creation-Date: 2018-12-16 12:42-0800\n"
"PO-Revision-Date: 2018-12-16 20:44\n"
"POT-Creation-Date: 2019-01-20 14:36-0800\n"
"PO-Revision-Date: 2019-01-20 22:38\n"
"Last-Translator: echel0n <[email protected]>\n"
"Language-Team: Finnish\n"
"MIME-Version: 1.0\n"
......@@ -6138,9 +6138,9 @@ msgstr "Episodi nappasi"
#: sickrage/core/version_updater.py:100 sickrage/core/version_updater.py:108
#: sickrage/core/version_updater.py:114 sickrage/core/version_updater.py:192
#: sickrage/core/version_updater.py:248 sickrage/core/version_updater.py:286
#: sickrage/core/version_updater.py:487 sickrage/core/version_updater.py:736
#: sickrage/core/webserver/views.py:1084 sickrage/core/webserver/views.py:1088
#: sickrage/core/webserver/views.py:1096
#: sickrage/core/version_updater.py:390 sickrage/core/version_updater.py:493
#: sickrage/core/version_updater.py:742 sickrage/core/webserver/views.py:1084
#: sickrage/core/webserver/views.py:1088 sickrage/core/webserver/views.py:1096
msgid "Updater"
msgstr ""
......@@ -6188,19 +6188,23 @@ msgstr ""
msgid "Unable to find your pip executable - Set your pip path from Settings->General->Advanced"
msgstr "Voi löytää teidän pip executable - pip-polun määrittäminen asetukset-> yleinen-> Lisäasetukset"
#: sickrage/core/version_updater.py:460 sickrage/core/version_updater.py:589
#: sickrage/core/version_updater.py:391
msgid "Failed to update requirements"
msgstr ""
#: sickrage/core/version_updater.py:466 sickrage/core/version_updater.py:595
msgid "There is a newer version available, version {} &mdash; <a href=\"{}\">Update Now</a>"
msgstr "Ei uudempaa versiota saatavilla, versio {} &mdash; <a href=\"{}\">Update Now</a>"
#: sickrage/core/version_updater.py:488
#: sickrage/core/version_updater.py:494
msgid "Updating SiCKRAGE from GIT servers"
msgstr ""
#: sickrage/core/version_updater.py:725
#: sickrage/core/version_updater.py:731
msgid "New SiCKRAGE update found on PyPi servers, version {} &mdash; <a href=\"{}\">Update Now</a>"
msgstr ""
#: sickrage/core/version_updater.py:736
#: sickrage/core/version_updater.py:742
msgid "Updating SiCKRAGE from PyPi servers"
msgstr ""
......
......@@ -2,8 +2,8 @@ msgid ""
msgstr ""
"Project-Id-Version: sickragetv\n"
"Report-Msgid-Bugs-To: [email protected]\n"
"POT-Creation-Date: 2018-12-16 12:42-0800\n"
"PO-Revision-Date: 2018-12-16 20:43\n"
"POT-Creation-Date: 2019-01-20 14:36-0800\n"
"PO-Revision-Date: 2019-01-20 22:37\n"
"Last-Translator: echel0n <[email protected]>\n"
"Language-Team: French\n"
"MIME-Version: 1.0\n"
......@@ -3062,7 +3062,7 @@ msgstr "Supprimer non les fichiers associés"
#: sickrage/core/webserver/views/config/postprocessing.mako:254
msgid "delete non associated files while post processing?"
msgstr ""
msgstr "supprimer les fichier srt/srr/sfv/etc pendant le post-traitement ?"
#: sickrage/core/webserver/views/config/postprocessing.mako:260
msgid "Change File Date"
......@@ -3094,15 +3094,15 @@ msgstr "TV téléchargement Dir"
#: sickrage/core/webserver/views/config/postprocessing.mako:302
msgid "Only works with RAR archives"
msgstr ""
msgstr "Fonctionne uniquement avec les archives RAR"
#: sickrage/core/webserver/views/config/postprocessing.mako:309
msgid "Unpack Directory"
msgstr ""
msgstr "Répertoire de décompression"
#: sickrage/core/webserver/views/config/postprocessing.mako:321
msgid "Choose a path to unpack files, leave blank to unpack in download dir"
msgstr ""
msgstr "Choisir un chemin pour décompresser les fichiers, laisser vide pour décompresser dans le répertoire de téléchargement"
#: sickrage/core/webserver/views/config/postprocessing.mako:327
msgid "Delete RAR contents"
......@@ -3126,11 +3126,11 @@ msgstr "Peut être substituée à l’aide de manuel Post traitement"
#: sickrage/core/webserver/views/config/postprocessing.mako:355
msgid "Follow symbolic-links"